/* Author: Tuan Truong
 * Version: 2.0 (March 9, 2016) 
 * Brief: Header file for Whitebox class. For those 
 * new to coding, public refers to the list of functions 
 * that can be called outside of the Whitebox.cpp. Private 
 * refers to the functions and variables that cannot be 
 * changed from outside the Whitebox.cpp code. 
 * Attribution: This program uses functions and libraries 
 * from the Arduino website (https://www.arduino.cc/). A link 
 * to the Creative Commons license can be found at 
 * http://creativecommons.org/licenses/by-sa/3.0/
 */
 
#include <Servo.h>

class Whitebox {
private:
    int maxSpeed;
    int minSpeed;

    //the motors need to be pointers to the Servo type 
    Servo* Mtr1;
    Servo* Mtr2;
    Servo* Mtr3;
    Servo* Mtr4;

public:
    Whitebox(int, int, int, int);
    void calibrate(void);
    void setMaxSpeed(int);
    void setMinSpeed(int);
    void spinAllMtr(int);
    int getMaxSpeed(void);
    int getMinSpeed(void);
    void engageBreak(void);

};

